// G7232PCMTransformer.h: interface for the G7232PCMTransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_G7232PCMTRANSFORMER_H__F711A04C_0D38_4CEA_84FC_3EFD50A5CAB8__INCLUDED_
#define AFX_G7232PCMTRANSFORMER_H__F711A04C_0D38_4CEA_84FC_3EFD50A5CAB8__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G723Codec.h"

class G7232PCMTransformer : public AudioTransformer  
{
public:
	G7232PCMTransformer();
	virtual ~G7232PCMTransformer();
	int SetRate53();
	int SetRate63();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G723Codec g723Codec;
};

#endif // !defined(AFX_G7232PCMTRANSFORMER_H__F711A04C_0D38_4CEA_84FC_3EFD50A5CAB8__INCLUDED_)
