// PCMVolumeTransformer.h: interface for the PCMVolumeTransformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_PCMVOLUMETRANSFORMER_H__09088D75_CEE0_4D43_9CFB_2E2D7F0D9263__INCLUDED_
#define AFX_PCMVOLUMETRANSFORMER_H__09088D75_CEE0_4D43_9CFB_2E2D7F0D9263__INCLUDED_

#include "AudioTransformer.h"

class PCMVolumeTransformer : 
	public AudioTransformer
{
public:
	PCMVolumeTransformer();
	virtual ~PCMVolumeTransformer();
	int SetVolume(int newVolume);
	int GetVolume();
	int SetTraceLevel();
protected:
	int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	unsigned int volume;
};

#endif // !defined(AFX_PCMVOLUMETRANSFORMER_H__09088D75_CEE0_4D43_9CFB_2E2D7F0D9263__INCLUDED_)
