// TraceUser.h: interface for the TraceUser class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_TRACEUSER_H__220FA656_B4D4_47B0_BE0A_EB4AB6F4D52D__INCLUDED_
#define AFX_TRACEUSER_H__220FA656_B4D4_47B0_BE0A_EB4AB6F4D52D__INCLUDED_

#ifndef WIN32
#include "linTypes.h"
#endif

enum SHORT_HAND_ERRORS
{
	ERR		= 0x10000,
	SPCL	= 0x20000,
	STATE	= 0x40000,
	SIG		= 0x80000,
	EE		= 0x100000,
	ARB		= 0x200000,
	DET		= 0x400000,
	ALL		= 0x1fff0000
};

class TraceUser  
{
public:
	TraceUser();
	virtual ~TraceUser();
protected:
	virtual int SetTraceLevel() {return 0;}
	Tracer tracer;
};

#endif // !defined(AFX_TRACEUSER_H__220FA656_B4D4_47B0_BE0A_EB4AB6F4D52D__INCLUDED_)
