// VoiceActivityDetector.h: interface for the VoiceActivityDetector class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_VOICEACTIVITYDETECTOR_H__9BAF438C_2387_40D8_A5DF_926640FEA4C1__INCLUDED_
#define AFX_VOICEACTIVITYDETECTOR_H__9BAF438C_2387_40D8_A5DF_926640FEA4C1__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/VAD.h"

class VoiceActivityDetector : public AudioTransformer
{
public:
	VoiceActivityDetector();
	virtual ~VoiceActivityDetector();
	int StartTransform();
	int EnableDetection();
	int DisableDetection();
protected:
	int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
	int SetTraceLevel();
private:
	VAD vad;
	bool enabled;
};

#endif // !defined(AFX_VOICEACTIVITYDETECTOR_H__9BAF438C_2387_40D8_A5DF_926640FEA4C1__INCLUDED_)
