package org.vovida.prov.psLib;

class BooleanArrayAssignment extends Assignment
{
    BooleanArrayAssignment(Field field,
		       BaseField value)
    {
	super(field, value);
    }

    void set(BooleanArrayField value)
    {
	this.value = value;
    }

    void set(boolean[] value)
    {
	this.value = new Constant(value);
    }

    void set(java.util.List value)
    {
	this.value = new Constant(value);
    }
}
