package org.vovida.prov.psLib.test;

import org.vovida.prov.psLib.*;
import junit.framework.*;

public class PserverClient
{
      private static String myHost;
      private static int myPort;

      public static void main(String[] args)
      {
         if (args.length < 2)
         {
            System.out.println("Usage: pserverClient <host> <port>");
            System.exit(1);
         }
         System.out.println("starting PserverClient with "
                            + args[0] + ", " + args[1]);
         myHost = args[0];
         try
         {
            myPort = Integer.parseInt(args[1]);
         }
         catch (NumberFormatException e)
         {
            System.out.println(e.getMessage());
            System.exit(1);
         }
         
         junit.textui.TestRunner.run(suite());
      }

      public static Test suite ( ) {
         TestSuite suite = new TestSuite("All JUnit Tests");
         suite.addTest(PserverClientTest.suite());
         return suite;
      }
}
