// AudioSinkListener.cpp: implementation of the AudioSinkListener class.
//
//////////////////////////////////////////////////////////////////////

#include "AudioSinkListener.h"
#ifdef WIN32
#include <windows.h>
#else
#include "cpLog.h"
#include <unistd.h>
#endif
#include <stdio.h>

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

AudioSinkListener::AudioSinkListener()
{

}

AudioSinkListener::~AudioSinkListener()
{

}

int
AudioSinkListener::GiveNextAudioSample(AudioSample **ppAudioSample, AudioSink *audioSink)
{
	char errorMsg[100];
	sprintf(errorMsg, "AudioSinkListener:%x::GiveNextAudioSample : ERROR : pure virtual function call !!!\n", this);
#ifdef WIN32
	OutputDebugString(errorMsg);
	Sleep(5000);
#else
	cpLog(LOG_DEBUG, (errorMsg));
	sleep(5000);
#endif
	return 0;
}
