// PCM2G711Transformer.h: interface for the PCM2G711Transformer class.
//
//////////////////////////////////////////////////////////////////////

#ifndef AFX_PCM2G711TRANSFORMER_H__FAE21EBF_5D58_4FA8_AE27_D722465EF62A__INCLUDED_
#define AFX_PCM2G711TRANSFORMER_H__FAE21EBF_5D58_4FA8_AE27_D722465EF62A__INCLUDED_

#include "AudioTransformer.h"
#include "DSP/G711Codec.h"
#include "AudioSample.h"

class PCM2G711Transformer : public AudioTransformer  
{
public:
	PCM2G711Transformer();
	virtual ~PCM2G711Transformer();
	int SetALaw();
	int SetULaw();
	int SetTraceLevel();
protected:
	virtual int TransformAudioSamples(std::vector<std::pair<AudioSample *, AudioSource *> > &data, AudioSample **ppAudioSample);
private:
	G711Codec g711Codec;
};

#endif // !defined(AFX_PCM2G711TRANSFORMER_H__FAE21EBF_5D58_4FA8_AE27_D722465EF62A__INCLUDED_)
