// Copyright (c) 2002 Cathay Networks, Inc. All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
// 
// 1. Redistributions of source code must retain the above copyright notice,
// this list of conditions and the following disclaimer.
// 
// 2. Redistributions in binary form must reproduce the above copyright notice,
// this list of conditions and the following disclaimer in the documentation
// and/or other materials provided with the distribution.
// 
// 3. The names "VOCAL", "Vovida Open Communication Application Library", and
// "Vovida Open Communication Application Library (VOCAL)" must not be used to
// endorse or promote products derived from this software without prior written
// permission. For written permission, please contact vocal@vovida.org.
// 
// 4. Products derived from this software may not be called "VOCAL", nor may
// "VOCAL" appear in their name, without prior written permission.
// 
// THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES,
// INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT ARE DISCLAIMED.
// IN NO EVENT SHALL CATHAY NETWORKS, INC. OR ITS CONTRIBUTORS BE LIABLE FOR
// ANY DAMAGES IN EXCESS OF $1,000, NOR FOR ANY INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//

// Copyright 2002 Cathay Networks, Inc. 

#include "Subsystem.hxx"

using namespace Vocal;

const Subsystem Subsystem::TEST("TEST");

const Subsystem Subsystem::NONE("NONE");

const Subsystem Subsystem::UTIL("UTIL");

const Subsystem Subsystem::PROV("PROV");
const Subsystem Subsystem::PROVS("PROVS");
const Subsystem Subsystem::PROVC("PROVC");
const Subsystem Subsystem::PROVDB("PROVDB");
const Subsystem Subsystem::PROVXML("PROVXML");

const Subsystem Subsystem::SIP("SIP");    // SIP Stack / Parser
const Subsystem Subsystem::SIPBASE("SIPBASE");    // SIP Subsystem Code
      
const Subsystem Subsystem::NET("NET");
const Subsystem Subsystem::PROXY("PROXY");
const Subsystem Subsystem::FORWARD("FORWARD");
const Subsystem Subsystem::HUNT("HUNT");
const Subsystem Subsystem::PARK("PARK");
const Subsystem Subsystem::SPEED("SPEED");
const Subsystem Subsystem::REGISTRAR("REGISTRAR");
const Subsystem Subsystem::UA("UA");
const Subsystem Subsystem::RESTRICT("RESTRICT");
const Subsystem Subsystem::CPE("CPE");

const Subsystem Subsystem::RTSP("RTSP");
const Subsystem Subsystem::RTP("RTP");
const Subsystem Subsystem::SDP("SDP");
const Subsystem Subsystem::HB("HB");
const Subsystem Subsystem::RADIUS("RADIUS");
const Subsystem Subsystem::OSP("OSP");
const Subsystem Subsystem::TRIP("TRIP");

const Subsystem Subsystem::LS("LS");     // location service
const Subsystem Subsystem::FEAT("FEAT");   // Feature
      
const Subsystem Subsystem::LB("LB");     // Load Balancer
const Subsystem Subsystem::HOSTMAN("HOSTMAN");   // Host Manager
const Subsystem Subsystem::RESMAN("RESMAN");   // Resource Manager
const Subsystem Subsystem::REPO("REPO");   // Repository
const Subsystem Subsystem::TFTP("TFTP");   // tftp service
const Subsystem Subsystem::CDR("CDR"); 
const Subsystem Subsystem::SNMP("SNMP"); 
const Subsystem Subsystem::THREAD("THREAD"); 
const Subsystem Subsystem::VXML("VXML"); 

const Subsystem Subsystem::SERVICE("SERVICE");
