package org.vovida.prov.psLib;

public class Or implements Filter
{
      public Or(Filter f0,
                Filter f1)
      {
         f = new Filter[2];
         f[0] = f0;
         f[1] = f1;
      }

      public Or(Filter f0,
                Filter f1,
                Filter f2)
      {
         f = new Filter[3];
         f[0] = f0;
         f[1] = f1;
         f[2] = f2;
      }

      public Or(Filter f0,
                Filter f1,
                Filter f2,
                Filter f3)
      {
         f = new Filter[4];
         f[0] = f0;
         f[1] = f1;
         f[2] = f2;
         f[3] = f3;
      }

      public Or(Filter f0,
                Filter f1,
                Filter f2,
                Filter f3,	
                Filter f4)
      {
         f = new Filter[5];
         f[0] = f0;
         f[1] = f1;
         f[2] = f2;
         f[3] = f3;
         f[4] = f4;
      }

      public Or(Filter f0,
                Filter f1,
                Filter f2,
                Filter f3,	
                Filter f4,	
                Filter f5)
      {
         f = new Filter[6];
         f[0] = f0;
         f[1] = f1;
         f[2] = f2;
         f[3] = f3;
         f[4] = f4;
         f[5] = f5;
      }

      public void stringify(StringBuffer s)
      {
         s.append("(");
         for (int i = 0; i < f.length; i++) {
	    if (i != 0) {
               s.append(" OR ");
	    }
	    f[i].stringify(s);
         }
         s.append(")");
      }

      public String toString()
      {
         StringBuffer s = new StringBuffer();
         stringify(s);
         return s.toString();
      }

      private Filter f[];
}
