package org.vovida.prov.psLib.test;

import org.vovida.prov.psLib.*;
import junit.framework.*;
import junit.extensions.*;

class PserverClientTestPSLibSyntax extends TestCase
{
      public PserverClientTestPSLibSyntax(String name) 
      {
         super(name);
      }

      // syntactic sugar -- generally achieved via inheritance
      public Filter Not(Filter f1)
      {
         return new Not(f1);
      }

      public Filter And(Filter f0, Filter f1)
      {
         return new And(f0, f1);
      }

      public Filter And(Filter f0, Filter f1, Filter f2)
      {
         return new And(f0, f1, f2);
      }

      public Filter And(Filter f0, Filter f1, Filter f2, Filter f3)
      {
         return new And(f0, f1, f2, f3);
      }

      public Filter And(Filter f0, Filter f1, Filter f2, 
                        Filter f3, Filter f4)
      {
         return new And(f0, f1, f2, f3, f4);
      }

      public Filter And(Filter f0, Filter f1, Filter f2, 
                        Filter f3, Filter f4, Filter f5)
      {
         return new And(f0, f1, f2, f3, f4, f5);
      }

      public Filter Or(Filter f0, Filter f1)
      {
         return new Or(f0, f1);
      }

      public Filter Or(Filter f0, Filter f1, Filter f2)
      {
         return new Or(f0, f1, f2);
      }

      public Filter Or(Filter f0, Filter f1, Filter f2, 
                       Filter f3)
      {
         return new Or(f0, f1, f2, f3);
      }

      public Filter Or(Filter f0, Filter f1, Filter f2, 
                       Filter f3, Filter f4)
      {
         return new Or(f0, f1, f2, f3, f4);
      }

      public Filter Or(Filter f0, Filter f1, Filter f2, 
                       Filter f3, Filter f4, Filter f5)
      {
         return new Or(f0, f1, f2, f3, f4, f5);
      }

      public FieldList FieldList(Field f0)
      {
         return new FieldList(f0);
      }

      public FieldList FieldList(Field f0, Field f1)
      {
         return new FieldList(f0,f1);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2)
      {
         return new FieldList(f0,f1,f2);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3)
      {
         return new FieldList(f0,f1,f2,f3);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4)
      {
         return new FieldList(f0,f1,f2,f3,f4);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10, f11);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,f11,f12);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14, Field f15)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14,f15);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14, Field f15,
                                 Field f16)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14,f15,f16);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14, Field f15,
                                 Field f16, Field f17)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14,f15,f16,f17);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14, Field f15,
                                 Field f16, Field f17, Field f18)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14,f15,f16,f17,f18);
      }

      public FieldList FieldList(Field f0, Field f1, Field f2, Field f3,
                                 Field f4, Field f5, Field f6, Field f7,
                                 Field f8, Field f9, Field f10, Field f11,
                                 Field f12, Field f13, Field f14, Field f15,
                                 Field f16, Field f17, Field f18, Field f19)
      {
         return new FieldList(f0,f1,f2,f3,f4,f5,f6,f7,f8,f9,f10,
                              f11,f12,f13,f14,f15,f16,f17,f18,f19);
      }

      public AssignmentList AssignmentList(Assignment a0)
      {
         return new AssignmentList(a0);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1)
      {
         return new AssignmentList(a0,a1);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1, 
                                           Assignment a2)
      {
         return new AssignmentList(a0,a1,a2);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3)
      {
         return new AssignmentList(a0,a1,a2,a3);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4)
      {
         return new AssignmentList(a0,a1,a2,a3,a4);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1, 
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10, a11);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1, Assignment a2,
                                           Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14, Assignment a15)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14,a15);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14, Assignment a15,
                                           Assignment a16)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14,a15,a16);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14, Assignment a15,
                                           Assignment a16, Assignment a17)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14,a15,a16,a17);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1,
                                           Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14, Assignment a15,
                                           Assignment a16, Assignment a17,
                                           Assignment a18)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14,a15,a16,a17,a18);
      }

      public AssignmentList AssignmentList(Assignment a0, Assignment a1, Assignment a2, Assignment a3,
                                           Assignment a4, Assignment a5,
                                           Assignment a6, Assignment a7,
                                           Assignment a8, Assignment a9,
                                           Assignment a10, Assignment a11,
                                           Assignment a12, Assignment a13,
                                           Assignment a14, Assignment a15,
                                           Assignment a16, Assignment a17,
                                           Assignment a18, Assignment a19)
      {
         return new AssignmentList(a0,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,
                                   a11,a12,a13,a14,a15,a16,a17,a18,a19);
      }
}

public class PserverClientTest extends PserverClientTestPSLibSyntax
{
      public PserverClientTest(String name) 
      {
         super(name);
      }

      public static void main (String[] args) 
      {
         junit.textui.TestRunner.run (suite());
      }

      protected void setUp() 
      {
         SocketProvisioningInterface.initialize("localhost", 6005);
         pif = ProvisioningInterface.getInstance();
      }

      public static Test suite() 
      {
         return new TestSuite(PserverClientTest.class);
      }

      public void testFields()
      {
         StringBuffer results = new StringBuffer();

         // output the fields
         users.userId.stringify(results);
         results.append(", ");
         users.firstName.stringify(results);
         results.append(", ");
         users.lastName.stringify(results);
         results.append(", ");
         users.expired.stringify(results);
         results.append(", ");
         users.count.stringify(results);
         results.append(", ");
         users.credits.stringify(results);
         results.append(", ");
         users.speed.stringify(results);
         results.append(", ");
         users.aliases.stringify(results);

         assertEquals(results.toString(), "userid, firstname, lastname, expired, count, credits, speed, aliases");
      }

      public void testAssignmentConstantConstruct()
      {
         // compilation test
         users.firstName.assign("david");
         users.lastName.assign("Butcher"); 
         users.expired.assign(true); 
         users.count.assign(5); 
         users.credits.assign(15); 
         users.speed.assign(0.02); 
         users.aliases.assign(new String[]{"dlb", "lazar"});

         new BooleanArrayField("foo").assign(new boolean[]{true, true, true});
         new IntArrayField("foo").assign(new int[]{0, 1, 2, 3, 4});
         new DoubleArrayField("foo").assign(new double[]{0.0, 1.0});
      }

      public void testAssignmentFieldConstruct()
      {
         // compilation test
         users.firstName.assign(new StringField("sfield"));
         users.lastName.assign(new StringField("sfield"));
         users.expired.assign(new BooleanField("bfield"));
         users.count.assign(new IntField("ifield"));
         users.credits.assign(new IntField("ifield"));
         users.speed.assign(new DoubleField("dfield"));
         users.aliases.assign(new StringArrayField("csvfield"));

         new BooleanArrayField("foo").assign(new BooleanArrayField("bar"));
         new IntArrayField("foo").assign(new IntArrayField("bar"));
         new DoubleArrayField("foo").assign(new DoubleArrayField("bar"));
      }

      public void testFieldListConstruct()
      {
         FieldList fieldList = 
            new FieldList(users.firstName,
                          users.lastName,
                          users.expired,
                          users.count,
                          users.credits,
                          users.speed,
                          users.aliases,
                          new BooleanArrayField("foo"),
                          new IntArrayField("foo"),
                          new DoubleArrayField("foo"));
      }

      public void testFieldListAdd()
      {
         FieldList l = new FieldList(new IntField("foo"), new IntField("bar"));
         l.add(new IntField("baz"));
         l.add(new IntField("quux"));
      }
      
      public void testFieldListAddToCopy()
      {
         FieldList l = new FieldList(new IntField("foo"), new IntField("bar"));
         FieldList l1 = l.copy();

         l.add(new IntField("quux"));

         assertTrue(!l.equals(l1));
      }
      
      public void testAssignmentListAdd()
      {
         AssignmentList l = new AssignmentList(new IntField("foo").assign(1),
                                               new IntField("bar").assign(2));
         l.add(new IntField("baz").assign(3));
      }

      public void testFilterSimpleConstruct()
      {
         StringBuffer results = new StringBuffer();

         new IntField("foo").lt(new IntField("bar")).stringify(results);
         results.append(", ");
         new IntField("foo").le(new IntField("bar")).stringify(results);
         results.append(", ");
         new IntField("foo").eq(new IntField("bar")).stringify(results);
         results.append(", ");
         new IntField("foo").gt(new IntField("bar")).stringify(results);
         results.append(", ");
         new IntField("foo").ge(new IntField("bar")).stringify(results);
         results.append(", ");
         new IntField("foo").ne(new IntField("bar")).stringify(results);
         results.append(", ");

         new BooleanField("foo").eq(new BooleanField("bar")).stringify(results);
         results.append(", ");
         new BooleanField("foo").ne(new BooleanField("bar")).stringify(results);
         results.append(", ");

         new DoubleField("foo").lt(new DoubleField("bar")).stringify(results);
         results.append(", ");
         new DoubleField("foo").le(new DoubleField("bar")).stringify(results);
         results.append(", ");
         new DoubleField("foo").eq(new DoubleField("bar")).stringify(results);
         results.append(", ");
         new DoubleField("foo").gt(new DoubleField("bar")).stringify(results);
         results.append(", ");
         new DoubleField("foo").ge(new DoubleField("bar")).stringify(results);
         results.append(", ");
         new DoubleField("foo").ne(new DoubleField("bar")).stringify(results);
         results.append(", ");

         new StringField("foo").lt(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").le(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").eq(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").gt(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").ge(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").ne(new StringField("bar")).stringify(results);
         results.append(", ");
         new StringField("foo").like("b%r").stringify(results);
         results.append(", ");

         new IntField("foo").lt(17).stringify(results);
         results.append(", ");
         new IntField("foo").le(17).stringify(results);
         results.append(", ");
         new IntField("foo").eq(17).stringify(results);
         results.append(", ");
         new IntField("foo").gt(17).stringify(results);
         results.append(", ");
         new IntField("foo").ge(17).stringify(results);
         results.append(", ");
         new IntField("foo").ne(17).stringify(results);
         results.append(", ");

         new BooleanField("foo").eq(false).stringify(results);
         results.append(", ");
         new BooleanField("foo").ne(false).stringify(results);
         results.append(", ");

         new DoubleField("foo").lt(17.71).stringify(results);
         results.append(", ");
         new DoubleField("foo").le(17.71).stringify(results);
         results.append(", ");
         new DoubleField("foo").eq(17.71).stringify(results);
         results.append(", ");
         new DoubleField("foo").gt(17.71).stringify(results);
         results.append(", ");
         new DoubleField("foo").ge(17.71).stringify(results);
         results.append(", ");
         new DoubleField("foo").ne(17.71).stringify(results);
         results.append(", ");

         new StringField("foo").lt("bar").stringify(results);
         results.append(", ");
         new StringField("foo").le("bar").stringify(results);
         results.append(", ");
         new StringField("foo").eq("bar").stringify(results);
         results.append(", ");
         new StringField("foo").gt("bar").stringify(results);
         results.append(", ");
         new StringField("foo").ge("bar").stringify(results);
         results.append(", ");
         new StringField("foo").ne("bar").stringify(results);
         results.append(", ");
         new StringField("foo").like("ba%").stringify(results);
         results.append(", ");

         String[] bar = {"bar1", "bar2", "bar3"};
            
         new StringArrayField("foo").lt(bar).stringify(results);
         results.append(", ");
         new StringArrayField("foo").le(bar).stringify(results);
         results.append(", ");
         new StringArrayField("foo").eq(bar).stringify(results);
         results.append(", ");
         new StringArrayField("foo").gt(bar).stringify(results);
         results.append(", ");
         new StringArrayField("foo").ge(bar).stringify(results);
         results.append(", ");
         new StringArrayField("foo").ne(bar).stringify(results); 

         // System.out.println("testFilterSimpleConstruct !! " + results.toString());
         assertTrue(results.toString().equals(
                       "(foo &lt; bar), (foo &lt;= bar), (foo = bar), (foo &gt; bar), (foo &gt;= bar), (foo = bar), (foo = bar), (foo = bar), (foo &lt; bar), (foo &lt;= bar), (foo = bar), (foo &gt; bar), (foo &gt;= bar), (foo = bar), (foo &lt; bar), (foo &lt;= bar), (foo = bar), (foo &gt; bar), (foo &gt;= bar), (foo != bar), (foo LIKE 'b%r'), (foo &lt; 17), (foo &lt;= 17), (foo = 17), (foo &gt; 17), (foo &gt;= 17), (foo = 17), (foo = false), (foo = false), (foo &lt; 17.71), (foo &lt;= 17.71), (foo = 17.71), (foo &gt; 17.71), (foo &gt;= 17.71), (foo = 17.71), (foo &lt; 'bar'), (foo &lt;= 'bar'), (foo = 'bar'), (foo &gt; 'bar'), (foo &gt;= 'bar'), (foo != 'bar'), (foo LIKE 'ba%'), (foo &lt; 'bar1,bar2,bar3'), (foo &lt;= 'bar1,bar2,bar3'), (foo = 'bar1,bar2,bar3'), (foo &gt; 'bar1,bar2,bar3'), (foo &gt;= 'bar1,bar2,bar3'), (foo = 'bar1,bar2,bar3')"));
      }

      public void testFilterCompositeConstruct()
      {
         String filterString = Or(And(Not(users.expired),
                                      users.count.gt(0),
                                      users.lastName.like("Shan%")),
                                  And(users.expired,
                                      users.speed.ge(0.5)),
                                  And(users.expired,
                                      users.firstName.eq("david"))).toString();
         // System.out.println("testFilterCompositeConstruct !! " + filterString.toString());
         assertTrue(filterString.equals("((NOT(expired) AND (count &gt; 0) AND (lastname LIKE 'Shan%')) OR (expired AND (speed &gt;= 0.5)) OR (expired AND (firstname = 'david')))"));
      }

      public void testRetrieveNoFilterNoContent() throws Exception
      {
         pif.deleteRecordsInDomain(users, Filter.None);

         // add some contents
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Speedy"),
                                                  users.lastName.assign("Shannon"),
                                                  users.credits.assign(11),
                                                  users.aliases.assign(new String[] {"speedster", "speed-wa"}),
                                                  users.speed.assign(0.0)));

         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Belle"),
                                                  users.lastName.assign("Shannon"),
                                                  users.credits.assign(10),
                                                  users.aliases.assign(new String[] {"belly", "Destroyer"}),
                                                  users.speed.assign(0.5)));

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    Filter.None,
                                                    FieldList.Empty);
         
         int count = 0;
         PSDBResult.BindIterator bindIterator = result.bindIterator(FieldList.Empty);
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            count++;
         }
         assertTrue(count == 2);         
         assertTrue(result.getNumRecords() == 2);
      }

      public void testNoSuchDomain()
      {
         String results = null;

         try {
            pif.getRecordsInDomain(new Domain("nosuchdomain"),
                                   Filter.None,
                                   new FieldList(new StringField("key")));
         } 
         catch (Exception e)
         {
            results = e.getMessage();
         }
         assertTrue(results.equals("Response error: VDbException: DBSelect Error: PostgreSQL error: ERROR:  Relation 'nosuchdomain' does not exist\n(in SELECT key FROM nosuchdomain )"));
      }

      public void testBadDomain()
      {
         String results = null;

         try {
            pif.getRecordsInDomain(new Domain("no such @$^#@$ domain"),
                                   Filter.None,
                                   new FieldList(new StringField("key")));
         }
         catch (Exception e)
         {
            results = e.getMessage();
         }

         assertTrue(results.equals("Response error: VDbException: DBSelect Error: PostgreSQL error: ERROR:  parser: parse error at or near \"@$^#@$\"\n(in SELECT key FROM no such @$^#@$ domain )"));
      }

      public void testPopulateAndRetrieve() throws Exception
      {
         pif.deleteRecordsInDomain(users, Filter.None);

         // add some contents
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Speedy"),
                                                  users.lastName.assign("Shannon"),
                                                  users.credits.assign(11),
                                                  users.aliases.assign(new String[] {"speedster", "speed-wa"}),
                                                  users.speed.assign(0.0)));

         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Belle"),
                                                  users.lastName.assign("Shannon"),
                                                  users.credits.assign(10),
                                                  users.aliases.assign(new String[] {"belly", "Destroyer"}),
                                                  users.speed.assign(0.5)));

         PSDBResult results;
         results = pif.getRecordsInDomain(users,
                                          users.lastName.like("Sha%"),
                                          users.getAll());

         assertTrue(results.getNumRecords() == 2);

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = results.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }
         // System.out.println("testPopulateAndRetrieve !! " + s.toString());
         assertTrue(s.toString().equals("User[firstName=Speedy lastname=Shannon expired=false count=0 credits=11 speed=0.0 aliases={speedster,speed-wa}]User[firstName=Belle lastname=Shannon expired=false count=0 credits=10 speed=0.5 aliases={belly,Destroyer}]"));
      }

      public void testPopulate() throws Exception
      {
         pif.deleteRecordsInDomain(users, Filter.None);

         String[] noAliases = {};
         String[] aliases1 = {"aliases1"};
         String[] aliases2 = {"a.1", "a.2", "a.3"};

         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("david"),
                                                  users.lastName.assign("Butcher"),
                                                  users.expired.assign(true),
                                                  users.count.assign(7),
                                                  users.credits.assign(1000),
                                                  users.speed.assign(0.02),
                                                  users.aliases.assign(aliases2)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Enlai"),
                                                  users.lastName.assign("Chu"),
                                                  users.expired.assign(false),
                                                  users.count.assign(19),
                                                  users.credits.assign(10000),
                                                  users.speed.assign(1.0),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Wei"),
                                                  users.lastName.assign("Lee"),
                                                  users.expired.assign(false),
                                                  users.count.assign(27),
                                                  users.credits.assign(12000),
                                                  users.speed.assign(1.02),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Jason"),
                                                  users.lastName.assign("Fischl"),
                                                  users.expired.assign(true),
                                                  users.count.assign(71),
                                                  users.credits.assign(10000),
                                                  users.speed.assign(1.05),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Ludo"),
                                                  users.lastName.assign("Pierre"),
                                                  users.expired.assign(false),
                                                  users.count.assign(37),
                                                  users.credits.assign(10001),
                                                  users.speed.assign(0.2),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.userId.assign("SpeedyId"),
                                                  users.firstName.assign("Speedy"),
                                                  users.lastName.assign("Shannon"),
                                                  users.expired.assign(false),
                                                  users.count.assign(0),
                                                  users.credits.assign(0),
                                                  users.speed.assign(0.00),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Belle"),
                                                  users.lastName.assign("Shannon"),
                                                  users.expired.assign(false),
                                                  users.count.assign(7),
                                                  users.credits.assign(10000),
                                                  users.speed.assign(2.00),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Oort"),
                                                  users.lastName.assign("Shannon"),
                                                  users.expired.assign(true),
                                                  users.count.assign(17),
                                                  users.credits.assign(0),
                                                  users.speed.assign(2.02),
                                                  users.aliases.assign(aliases2)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Isaac"),
                                                  users.lastName.assign("Shannon"),
                                                  users.expired.assign(true),
                                                  users.count.assign(77),
                                                  users.credits.assign(1000),
                                                  users.speed.assign(1.6),
                                                  users.aliases.assign(aliases1)));
         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("Sam"),
                                                  users.lastName.assign("Shannon"),
                                                  users.expired.assign(true),
                                                  users.count.assign(777),
                                                  users.credits.assign(1000),
                                                  users.speed.assign(1.82),
                                                  users.aliases.assign(aliases2)));

         PSDBResult results;
         results = pif.getRecordsInDomain(users,
                                          Filter.None,
                                          users.getAll());

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = results.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }

         // System.out.println("testPopluate !! " + s.toString());
         assertTrue(s.toString().equals("User[firstName=david lastname=Butcher expired=true count=7 credits=1000 speed=0.02 aliases={a.1,a.2,a.3}]User[firstName=Enlai lastname=Chu expired=false count=19 credits=10000 speed=1.0 aliases={aliases1}]User[firstName=Wei lastname=Lee expired=false count=27 credits=12000 speed=1.02 aliases={aliases1}]User[firstName=Jason lastname=Fischl expired=true count=71 credits=10000 speed=1.05 aliases={aliases1}]User[firstName=Ludo lastname=Pierre expired=false count=37 credits=10001 speed=0.2 aliases={aliases1}]User[firstName=Speedy lastname=Shannon expired=false count=0 credits=0 speed=0.0 aliases={aliases1}]User[firstName=Belle lastname=Shannon expired=false count=7 credits=10000 speed=2.0 aliases={aliases1}]User[firstName=Oort lastname=Shannon expired=true count=17 credits=0 speed=2.02 aliases={a.1,a.2,a.3}]User[firstName=Isaac lastname=Shannon expired=true count=77 credits=1000 speed=1.6 aliases={aliases1}]User[firstName=Sam lastname=Shannon expired=true count=777 credits=1000 speed=1.82 aliases={a.1,a.2,a.3}]"));
      }

      public void testNoSuchColumn()
      {
         String result = null;
         try
         {
            pif.getRecordsInDomain(users, 
                                   Filter.None,
                                   new FieldList(new StringField("foobar")));
         }
         catch (Exception e)
         {
            result = e.getMessage();
         }
         // System.out.println("testNoSuchColumn !! " + result);
         assertTrue(result.equals("Response error: VDbException: DBSelect Error: PostgreSQL error: ERROR:  Attribute 'foobar' not found\n(in SELECT foobar FROM testusers )"));
      }

      public void testTypeMismatch()
      {
         String result = null;
         try
         {
             pif.setRecordsInDomain(users, 
                                    Filter.None,
                                    new AssignmentList(new StringField("expired").assign("not a boolean")));
         }
         catch (Exception e)
         {
            result = e.getMessage();
         }
         // System.out.println("testTypeMismatch !! " + result);
         assertTrue(result.equals("Response error: VDbException: DBUpdate Error: PostgreSQL error: ERROR:  Bad boolean external representation 'not a boolean'\n(in UPDATE testusers SET expired = 'not a boolean' )"));
      }

      public void testBadInsert() throws Exception
      {
         pif.deleteRecordsInDomain(users, Filter.None);

         String[] noAliases = {};
         String[] aliases1 = {"aliases1"};
         String[] aliases2 = {"a.1", "a.2", "a.3"};

         pif.addRecordInDomain(users,
                               new AssignmentList(users.firstName.assign("david"),
                                                  users.lastName.assign("Butcher"),
                                                  users.expired.assign(true),
                                                  users.count.assign(7),
                                                  users.credits.assign(1000),
                                                  users.speed.assign(0.02),
                                                  users.aliases.assign(aliases2)));

         // get a key
         PSDBResult result = pif.getRecordsInDomain(users,
                                                    Filter.None,
                                                    new FieldList(users.userId));
         PSDBResult.BindIterator binder = result.bindIterator(new FieldList(users.userId));
         binder.next();

         String s = null;
         try
         {
            pif.addRecordInDomain(users,
                                  new AssignmentList(users.userId.assign(users.userId.bound())));
         }
         catch (Exception e)
         {
            s = e.getMessage();
         }

         // System.out.println(" testBadInsert !! " + s);
         assertTrue(s.equals("Response error: VDbException: DBInsert Error: PostgreSQL error: ERROR:  Cannot insert a duplicate key into unique index testusers_pkey\n" +
                             "(in INSERT INTO testusers ( userid  ) VALUES ( '" + users.userId.bound() + "'  ) )"));
      }

      public void testRetrieveBool() throws Exception
      {
         testPopulate();

         FieldList retrieve = new FieldList(users.firstName, 
                                            users.lastName,
                                            users.expired,
                                            users.speed);

         FieldList output = new FieldList(users.firstName, 
                                          users.expired,
                                          users.speed);

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    Not(users.expired),
                                                    output);

         
         StringBuffer s = new StringBuffer();

         PSDBResult.BindIterator bindIterator = result.bindIterator(output);
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append("User[");
            s.append("firstname=");
            s.append(users.firstName.bound());
            s.append(" expired=");
            s.append(users.expired.bound());
            s.append(" speed=");
            s.append(users.speed.bound());
            s.append("]");
         }

         // System.out.println("testRetrieveBool !! " + s.toString());
         assertTrue(s.toString().equals("User[firstname=Enlai expired=false speed=1.0]User[firstname=Wei expired=false speed=1.02]User[firstname=Ludo expired=false speed=0.2]User[firstname=Speedy expired=false speed=0.0]User[firstname=Belle expired=false speed=2.0]"));
      }

      public void testRetrieveString() throws Exception
      {
         testPopulate();

         FieldList retrieve = new FieldList(users.firstName, 
                                            users.lastName,
                                            users.expired,
                                            users.speed);

         FieldList output = new FieldList(users.firstName, 
                                          users.expired,
                                          users.speed);

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    users.lastName.eq("Shannon"),
                                                    retrieve);

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(output);
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append("User[");
            s.append("firstname=");
            s.append(users.firstName.bound());
            s.append(" expired=");
            s.append(users.expired.bound());
            s.append(" speed=");
            s.append(users.speed.bound());
            s.append("]");
         }

         // System.out.println("testRetrieveString !! " + s.toString());
         assertTrue(s.toString().equals("User[firstname=Speedy expired=false speed=0.0]User[firstname=Belle expired=false speed=2.0]User[firstname=Oort expired=true speed=2.02]User[firstname=Isaac expired=true speed=1.6]User[firstname=Sam expired=true speed=1.82]"));
      }

      public void testRetrieveArrayString() throws Exception
      {
         testPopulate();

         FieldList retrieve = new FieldList(users.firstName, 
                                             users.lastName,
                                             users.aliases);

         FieldList output = new FieldList(users.firstName, 
                                          users.aliases);

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    users.lastName.like("Sh%"),
                                                    retrieve);

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(output);
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append("User[");
            s.append("firstname=");
            s.append(users.firstName.bound());
            s.append(", ");
            s.append("aliases={");
            for (int i = 0; i < users.aliases.bound().length; i++)
            {
               if (i != 0)
               {
                  s.append(",");
               }
               s.append(users.aliases.bound()[i]);
            }
            s.append("}");
            s.append("]");
         }

         // System.out.println("testRetrieveArrayString !! " + s.toString());
         assertTrue(s.toString().equals("User[firstname=Speedy, aliases={aliases1}]User[firstname=Belle, aliases={aliases1}]User[firstname=Oort, aliases={a.1,a.2,a.3}]User[firstname=Isaac, aliases={aliases1}]User[firstname=Sam, aliases={a.1,a.2,a.3}]"));
      }

      public void testEmptyRetrieve() throws Exception
      {
         testPopulate();

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    And(users.count.gt(1000),
                                                        users.speed.gt(5.0)),
                                                    users.getAll());

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }

         // System.out.println("testEmptyRetrieve !! " + s.toString());
         assertTrue(s.toString().equals(""));
      }

      public void testRetrieveComposite() throws Exception
      {
         testPopulate();

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    And(users.count.gt(10),
                                                        users.speed.gt(1.0)),
                                                    users.getAll());

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }

         // System.out.println("testRetrieveComposite !! " + s.toString());
         assertTrue(s.toString().equals("User[firstName=Wei lastname=Lee expired=false count=27 credits=12000 speed=1.02 aliases={aliases1}]User[firstName=Jason lastname=Fischl expired=true count=71 credits=10000 speed=1.05 aliases={aliases1}]User[firstName=Oort lastname=Shannon expired=true count=17 credits=0 speed=2.02 aliases={a.1,a.2,a.3}]User[firstName=Isaac lastname=Shannon expired=true count=77 credits=1000 speed=1.6 aliases={aliases1}]User[firstName=Sam lastname=Shannon expired=true count=777 credits=1000 speed=1.82 aliases={a.1,a.2,a.3}]"));
      }

      public void testModify() throws Exception
      {
         testPopulate();

         AssignmentList al = new AssignmentList(users.count.assign(123),
                                                users.credits.assign(10000),
                                                users.speed.assign(0.5));

         Filter filter = And(users.lastName.ne("Shannon"),
                             users.count.lt(15));
         
         pif.setRecordsInDomain(users,
                                filter,
                                al);


         PSDBResult result = pif.getRecordsInDomain(users,
                                                    Filter.None,
                                                    users.getAll());

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }

         // System.out.println("testModify !! " + s.toString());
         assertTrue(s.toString().equals("User[firstName=Enlai lastname=Chu expired=false count=19 credits=10000 speed=1.0 aliases={aliases1}]User[firstName=Wei lastname=Lee expired=false count=27 credits=12000 speed=1.02 aliases={aliases1}]User[firstName=Jason lastname=Fischl expired=true count=71 credits=10000 speed=1.05 aliases={aliases1}]User[firstName=Ludo lastname=Pierre expired=false count=37 credits=10001 speed=0.2 aliases={aliases1}]User[firstName=Speedy lastname=Shannon expired=false count=0 credits=0 speed=0.0 aliases={aliases1}]User[firstName=Belle lastname=Shannon expired=false count=7 credits=10000 speed=2.0 aliases={aliases1}]User[firstName=Oort lastname=Shannon expired=true count=17 credits=0 speed=2.02 aliases={a.1,a.2,a.3}]User[firstName=Isaac lastname=Shannon expired=true count=77 credits=1000 speed=1.6 aliases={aliases1}]User[firstName=Sam lastname=Shannon expired=true count=777 credits=1000 speed=1.82 aliases={a.1,a.2,a.3}]User[firstName=david lastname=Butcher expired=true count=123 credits=10000 speed=0.5 aliases={a.1,a.2,a.3}]"));
      }

      public void testRemove() throws Exception
      {
         testPopulate();

         Filter filter = users.lastName.eq("Shannon");
         
         pif.deleteRecordsInDomain(users,
                                   filter);

         PSDBResult result = pif.getRecordsInDomain(users,
                                                    Filter.None,
                                                    users.getAll());

         StringBuffer s = new StringBuffer();
         PSDBResult.BindIterator bindIterator = result.bindIterator(users.getAll());
         while (bindIterator.hasNext())
         {
            bindIterator.next();
            s.append(new User(users));
         }

         // System.out.println("testRemove !! " + s.toString());
         assertTrue(s.toString().equals("User[firstName=david lastname=Butcher expired=true count=7 credits=1000 speed=0.02 aliases={a.1,a.2,a.3}]User[firstName=Enlai lastname=Chu expired=false count=19 credits=10000 speed=1.0 aliases={aliases1}]User[firstName=Wei lastname=Lee expired=false count=27 credits=12000 speed=1.02 aliases={aliases1}]User[firstName=Jason lastname=Fischl expired=true count=71 credits=10000 speed=1.05 aliases={aliases1}]User[firstName=Ludo lastname=Pierre expired=false count=37 credits=10001 speed=0.2 aliases={aliases1}]"));
      }

      ProvisioningInterface pif;

      private User.Db users = new User.Db();
}
